Name:           perl-Mojolicious
Version:        7.94
Release:        2
Summary:        A next generation web framework for Perl
License:        Artistic 2.0

URL:            https://metacpan.org/release/Mojolicious
Source0:        http://cpan.metacpan.org/authors/id/S/SR/SRI/Mojolicious-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  perl-interpreter >= 0:5.010001 perl-generators perl(Compress::Raw::Zlib) perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(Data::Dumper) perl(Digest::MD5) perl(Digest::SHA) perl(IO::Compress::Gzip) perl(IO::Socket::IP)
BuildRequires:  perl(JSON::PP) perl(Role::Tiny) perl(Test::Builder) perl(Test::Harness) perl(Test::More) perl(Time::HiRes)
BuildRequires:  perl(Time::Local) perl(experimental)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}
%global __requires_exclude perl\\(VMS|perl\\(Win32|perl\\(EV

%package -n perl-Test-Mojo
Summary:        Test::Mojo perl Module
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description -n perl-Test-Mojo
%{summary}

%description
Back in the early days of the web there was this wonderful Perl library
called CGI, many people only learned Perl because of it. It was simple
enough to get started without knowing much about the language and powerful
enough to keep you going, learning by doing was much fun. While most of the
techniques used are outdated now, the idea behind it is not. Mojolicious is
a new attempt at implementing this idea using state of the art technology.

%package        help
Summary:        Help document for perl-Mojolicious

%description    help
This perl-Mojolicious package contains help document.

%prep
%autosetup -n Mojolicious-%{version} -p1
mv README.md lib/Mojolicious/

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%license LICENSE
%doc Changes examples
%{_bindir}/mojo
%{_bindir}/hypnotoad
%{_bindir}/morbo
%{perl_vendorlib}/*
%exclude %{perl_vendorlib}/Test

%files help
%{_mandir}/man1/*
%{_mandir}/man3/*

%files -n perl-Test-Mojo
%{perl_vendorlib}/Test

%changelog
* Sun Mar 15 2020 zhangtao<zhangtao221@huawei.com> - 7.94-2
- package init
